import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/pageList", formData);
}

function summaryList(formData) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/summaryList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/fundExpensesInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/fundExpensesInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function batchSave(formModel) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/batchSave", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}


function childTemplateOption(formData) {
  return request.post(constant.serverUrl + "/base/fundExpensesInfo/childTemplateOption", formData);
}


export default {
  pageList, create, edit, add, update, remove, batchRemove,batchSave,summaryList,childTemplateOption
}